%global debug_package %{nil}

Name:           oracle-software-release-el8
Version:        1.0
Release:        3%{dist}
Summary:        Oracle Software yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:        oracle-software-ol8.repo
Source1:        LICENSE

BuildArch:     x86_64 aarch64
Requires:      oraclelinux-release-el8
Requires:      grep
Requires:      sed
Requires:      (yum-utils if dnf else microdnf)
Requires:      curl

%description
This package contains the  Oracle Software yum repository configuration.

%prep
%setup  -q  -c -T


%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0}   \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*




%changelog
* Wed Oct 09 2024 Alex Burmashev <alexander.burmashev@oracle.com> 1.0-3
- Enable aarch64 build

* Tue Oct 08 2024 Apoorva Eliza John <apoorva.eliza.john@oracle.com> 1.0-2
- Do not install yum-utils if dnf is not installed or in transaction [JIRA: OLDIS-38673]

* Fri Aug 6 2021 Keshav Sharma <keshav.sharma@oracle.com> 1.0-1
- Initial package

